Bug 121835 - Colibre: Change the master icon from a normal image to a slide
Summary: Colibre: Change the master icon from a normal image to a slide
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2018-12-01 09:20 UTC by Rizal Muttaqin
Modified: 2019-01-14 19:49 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Master icons with image? (1.78 MB, image/png)
2018-12-01 09:20 UTC, Rizal Muttaqin
Details
In Slide tab and Insert Tab Master Slide has a different, more adequate icon (12.84 KB, image/png)
2018-12-01 10:05 UTC, Pedro
Details
Master slide icons in Karasa Jaga (1.75 MB, image/png)
2018-12-01 10:27 UTC, Rizal Muttaqin
Details
icons screenshot (67.95 KB, image/jpeg)
2019-01-14 19:49 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2018-12-01 09:20:14 UTC
Created attachment 147185 [details]
Master icons with image?

As now Colibre use normal image as an representation for master related icons. Please consider change this to regular slide or master slide one without image representation (two mounts and a sun). It confuses user as it has same icon with normal image (apart form different form between square and rectangle).

As an example we can see the implementation of this case in elementary and Karasa Jaga icon themes
Comment 1 Roman Kuznetsov 2018-12-01 09:44:33 UTC
Rizal,please add screenshot from KJ for this case for comparison with Colibre
Comment 2 Pedro 2018-12-01 10:05:32 UTC
Created attachment 147187 [details]
In Slide tab and Insert Tab Master Slide has a different, more adequate icon
Comment 3 Rizal Muttaqin 2018-12-01 10:23:16 UTC
(In reply to Pedro from comment #2)
> Created attachment 147187 [details]
> In Slide tab and Insert Tab Master Slide has a different, more adequate icon

It has different function: change current slide to a certain master slide. We need to rename the function, but this should be reported in a different bug
Comment 4 Rizal Muttaqin 2018-12-01 10:27:07 UTC
Created attachment 147188 [details]
Master slide icons in Karasa Jaga
Comment 5 Roman Kuznetsov 2018-12-21 21:30:04 UTC
agree, set to NEW
Comment 6 andreas_k 2019-01-06 23:30:28 UTC
fixed in 6.2 thanks for the bug report.
Comment 7 BogdanB 2019-01-14 19:49:06 UTC
Created attachment 148313 [details]
icons screenshot

Solved. See the screenshot.
Verified on Version: 6.3.0.0.alpha0+
Build ID: afbbdcc216a84b59fb263777659b044c4a7cf6f0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-13_03:54:12
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded